Skip to main content
Channel Groups

Get a channel group by channel group id

This method requires the ChannelGroups:Get permission to be associated with your role.

GET
/fm/channel/groups/{channel_group_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
channel_group_idstringrequired

Channel Group to lookup

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

channel_group_codestring
Example: ABC
channel_group_idstring
Example: 100000
namestring
Example: ABC Channel Group
status_flagenum<string>
Available options: active, inactive